be.fgov.ehealth.rn.baselegaldata.v1

## Class NationalitiesWithStatusType

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.NationalitiesWithStatusType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-04-08T03:32:03+02:00",
                 comments="JAXB RI v2.3.7")
      public class NationalitiesWithStatusType
      extends Object
      implements Serializable

  Java class for NationalitiesWithStatusType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="NationalitiesWithStatusType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence minOccurs="0">
               <element name="Nationality" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}NationalityInfoWithSourceType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="Status" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}DatagroupStatusType" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NationalitiesWithStatusType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<NationalityInfoWithSourceType>` | `getNationalities()` Gets the value of the nationalities property.
    `String` | `getStatus()` Gets the value of the status property.
    `void` | `setStatus(String value)` Sets the value of the status property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NationalitiesWithStatusType

          public NationalitiesWithStatusType()

  - ### Method Detail

    - #### getNationalities

          public List<NationalityInfoWithSourceType> getNationalities()

      Gets the value of the nationalities property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the nationalities property.

      For example, to add a new item, do as follows:

              getNationalities().add(newItem);

      Objects of the following type(s) are allowed in the list `NationalityInfoWithSourceType`

    - #### getStatus

          public String getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `String`

    - #### setStatus

          public void setStatus(String value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSNURSE 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.